#  Changelog

Tous les changements notables apportés à ce projet seront documentés dans ce fichier.

Le format est basé sur [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), et ce projet adhère à la gestion des versions sémantique.

## [2.7.6] - 18/08/2021
- Application d'une taille de police (14px) au popover
- Fix sur la couleur de la flèche popover lorsqu'affiché sur le bord gauche
## [2.7.5] - 28/07/2021
- MAJ Couleurs AAA + Ajout de couleurs pour l'accessibilité + intervertir couleurs
## [2.7.4] - 21/07/2021
- Ajout d'icones (5 nouvelles icônes optiques)
## [2.7.3] - 30/06/2021
- Revert suppression !important sur les couleurs ds-b

## [2.7.2] - 17/06/2021
- Revert "Correction bug input (MHFF-69)" amenant des problèmes sur les inputs

## [2.7.1] - 17/06/2021
- Suppression du support ds-icon pour les vieux navigateurs (IE6-IE8 et Safari Legacy)

## [2.7.0] - 16/06/2021
- Ajout de nouvelles icones : Simulateur RAC/APP (MHFF-103)
- Correction sur le grid système qui ne fonctionnait plus. 
- Mise à jour des couleurs accessibilités (MHFF-89)
- Ajout forme Jean Moreau / Header-title (MHFF-58)
- Ajout DsLinkCard (MHFF-105)
- Ajout contribution STEP (tooltip, popover, input, and more)
- Correction bug input (MHFF-69)

## [2.6.0] 
- Passage des breakpoints en REM au lieu de px
## [2.5.0]
- Ajout de la checkbox intermediaire

## [2.4.0]
- Formes / Radius : ajout de 2 radius (8 et 16px)
- Styles de textes : Ajout de la variante colorimétrique Corail dark
- MAJ icones = Bug illustrations + loader

## [2.3.0]
- Ajout de nouvelles icones : Powerpoint, Excel, Photo, Upload, etc... (MHFF-70)
- fix(Input) correction des marges des inputs


## [2.2.0] - 2020-06-10
### Added
- Ajout spacer de 8px
- Ajout du Loader MH
- Ajout des tableaux
- Accesibilité : Revue de code ( Merci Justin MARSAN )
- Typo & Responsive
- Correction sur les liens chevron
- Correction InputForm
- Correction Bouton secondaire noir


## [2.1.0] - 2020-03-10
### Added
- Le corps des textes est maintenant défini en REM
- alerte_bleu_information_color utilise la bonne couleur

## [2.1.0] - 2020-03-10
### Added
- Le corps des textes est maintenant défini en EM
- Correction des liens "chevron"

## [2.0.0] - 2020-03-05
### Added
- Le contour des boutons noirs devient gris_dark
- La pagination est intégrée
- Ajout de nouvelles icônes
- Le favicon est mis à disposition
- Ajout de 4 couleurs "interface"
- Les inputs désactivés sont maintenant compatibles avec IE
- Les boutons désactivés utilisent un cursor à default
- Ajout de la grille au DS Bootstrap
- Ajout du Logo Diagnostic Capital Humain sur fond clair
- Ajout du Logo Solutions PME sur fond clair
- Ajour du Logo Malakoff le Comptoir sur fond clair
- La balise b est ds-bold applique une seul foi le gras sur Firefox 

## [1.1.1] - 2019-11-14
### Added
- Correction du CHANGELOG 1.1.0

## [1.1.0] - 2019-11-14
### Added
- Forme brand
- Prise en charge de la balise bold ( b )
- H2 prend désormais la bonne taille

## [1.0.0] - 2019-10-31
### Added
- Changement du nom du projet et des composent de mh* à ds*
- Input
- Textarea
- Logos produits
- Checkbox 
- Refonte de la documentation 

## [0.3.1] - 2019-10-24
### Added
- fix linter issues

## [0.3.0] - 2019-10-24
### Added
- Couleurs neutres
- Elevations
- Formes
- Contours Filets
- Icônes MH
- Illustrations MH
- Liens MH
- Règles typographiques interfaces
- Styles de texte: Couleur
- Styles de texte: Alignements
- Typographie MH
- Couleur BG overlay
- Boutons primaires MH
- Boutons secondaires MH
- Logo MH
- Compémentarité des couleurs MH

## [0.2.0] - 2019-10-14
### Added
- Couleurs Interfaces
- Couleurs Neutres
- Couleurs Secondaires

## [0.1.2] - 2019-10-04
### Added
- Ajout des tests unitaires.
- Ajout des tests de qualité de code
- Minification du CSS

## [0.1.1] - 2019-10-04
### Added
- Restructuration de l'architecture scss

## [0.1.0] - 2019-10-01
### Added
- Ce fichier CHANGELOG
- Jenkinsfile - configuration de deploiement
- Readme - procedure d'utilisation
- Structure du projet
- Couleurs Primaires

[Unreleased]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/
[2.2.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.1.1
[2.1.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.1.1
[2.1.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.1.0
[2.0.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.0.0
[1.1.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v1.1.1
[1.1.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v1.1.0
[1.0.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v1.0.0
[0.3.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.3.1
[0.3.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/0.3.0
[0.2.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.2.0
[0.1.2]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.1.2
[0.1.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.1.1
[0.1.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.1.0